USE cw3_CleanItSupply
GO

----****************************
----Define vars, views, functions and defaults
----****************************
CREATE VIEW _vRandom AS SELECT RAND() AS Random
GO
CREATE FUNCTION GetRandom() RETURNS Float AS BEGIN RETURN (SELECT .23 + (SELECT Random FROM _vRandom) * (.27-.23)) END 
GO

DECLARE @ScrapeImport NVarChar(200), @ImportPath NVarChar(200), @Sql NVarChar(MAX)

SET @ImportPath = 'C:\temp\Price_Update_11_08_2012\'
SET @ScrapeImport = @ImportPath+'1000_1.txt'

----****************************
----Create temp table for Scrape
----****************************
CREATE TABLE #Scrape ( [VariantID] [NVarChar](50) NULL, [Sku] [NVarChar](50) NULL, [OldPrice] [NVarChar](50) NULL) 

----****************************
----Execute dynamic sql to bulk load import to temp table
----****************************
SET @Sql = ' BULK INSERT #Scrape FROM '''+@ScrapeImport+''' WITH ( FIELDTERMINATOR = ''|'', ROWTERMINATOR = ''\n'' ) '
EXEC sp_ExecuteSQL @Sql

----****************************
----	Cleanup Import
----****************************
DELETE FROM #Scrape WHERE Sku='Sku'


----****************************
----	Update Regular Price based on Scrapes
----****************************

UPDATE pv
SET pv.Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ProductVariant pv 
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID

----****************************
----	Update Msrp
----****************************
UPDATE pv 
SET pv.MSRP = ROUND(pv.Price/(1-(SELECT dbo.GetRandom())),2)
FROM ProductVariant pv 
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID

----****************************
----	Amazon Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(pv.Price*1.12,2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=112

----****************************
----	CSE Pricing Program Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=115

----****************************
----	CSE Pricing Program (Manual Set) Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=116

----****************************
----	CSE Pricing Program (Manual Set - Local) Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=117

----****************************
----	CSE Pricing Program (Manual Set - TaxExempt) Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=118

----****************************
----	CSE Pricing Program (Manual Set - Local - TaxExempt) Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=119

----****************************
----	CSE Pricing Program (Manual Set) - Michigan Extended Pricing Update
----****************************

update ExtendedPrice
set Price=ROUND(CAST(s.OldPrice AS Money),2)
FROM ExtendedPrice INNER JOIN ProductVariant pv ON ExtendedPrice.VariantID= pv.VariantID
	INNER JOIN #Scrape s ON pv.VariantID=s.VariantID where CustomerLevelID=123


----****************************
----	Process Cleanup
----****************************
DROP TABLE #Scrape
DROP FUNCTION GetRandom
DROP VIEW _vRandom

